# Void-desktop

Guides and configuration files of my desktop Void install.

To begin go to the [wiki](https://git.bijl.us/lnco/void-desktop-guide/wiki)!



## Prerequisites

Install `mkdocs` through pip:

```
# xbps-install -Sy python3-devel python3-pip
$ pip install mkdocs mkdocs-material
```

This will put a binary in `~/.local/lib/python3.11/site-packages/mkdocs/__main__.py`

I would recommended creating an alias for using it. For example:

```
alias mkdocs="python ~/.local/lib/python3.11/site-packages/mkdocs/__main__.py"
```

## Building

Build the website through:

```
$ mkdocs build
```

And preview it with:

```
$ mkdocs serve
```

This will host the website locally on [http://127.0.0.1:8000/](http://127.0.0.1:8000/).
